D Programming Language 1.0

Last update Mon Dec 31 10:53:28 2012

# std.base64

Encodes/decodes MIME base64 data.
Source:
std/base64.d
References:
Wikipedia Base64
RFC 2045

class Base64Exception: object.Exception;
class Base64CharException: std.base64.Base64Exception;
size_t encodeLength(size_t slen);
  Returns the number of bytes needed to encode a string of length slen.
char[] encode(char[] str, char[] buf);
  Encodes str[] and places the result in buf[].
  Params:

  char[] str | string to encode
  char[] buf | destination buffer, must be large enough for the result.

  Returns:
  slice into buf[] representing encoded result
char[] encode(char[] str);
  Encodes str[] and returns the result.
size_t decodeLength(size_t elen);
  Returns the number of bytes needed to decode an encoded string of this length.
char[] decode(char[] estr, char[] buf);
  Decodes str[] and places the result in buf[].
  Params:

  str | string to encode
  char[] buf | destination buffer, must be large enough for the result.

  Returns:
  slice into buf[] representing encoded result
  Errors:
  Throws Base64Exception on invalid base64 encoding in estr[]. Throws Base64CharException on invalid base64 character in estr[].
char[] decode(char[] estr);
  Decodes estr[] and returns the result.
  Errors:
  Throws Base64Exception on invalid base64 encoding in estr[]. Throws Base64CharException on invalid base64 character in estr[].

Copyright © 1999-2012 by Digital Mars, All Rights Reserved | Page generated by Ddoc.